summaryrefslogtreecommitdiff
path: root/nfsboot-server.configure
diff options
context:
space:
mode:
authorRichard Ipsum <richard.ipsum@codethink.co.uk>2013-12-16 14:27:40 +0000
committerRichard Ipsum <richard.ipsum@codethink.co.uk>2013-12-17 15:56:55 +0000
commita69f811ebbdcee047cad2d2bbcd4f5a1fbd1f078 (patch)
tree11a570b7b1ce6b60620e60a2bb23dbba41bd7ab5 /nfsboot-server.configure
parent2e8685ed6fc35bf62569b514929388f7df189055 (diff)
downloaddefinitions-a69f811ebbdcee047cad2d2bbcd4f5a1fbd1f078.tar.gz
Add trove
Diffstat (limited to 'nfsboot-server.configure')
-rwxr-xr-xnfsboot-server.configure44
1 files changed, 44 insertions, 0 deletions
diff --git a/nfsboot-server.configure b/nfsboot-server.configure
new file mode 100755
index 00000000..9779c053
--- /dev/null
+++ b/nfsboot-server.configure
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+#
+# This is a "morph deploy" configuration extension to set up a server for
+# booting over nfs and tftp.
+set -e
+
+ROOT="$1"
+
+##########################################################################
+
+chroot "$ROOT" systemctl enable nfs-server.service
+
+mkdir -p "$ROOT/srv/nfsboot/tftp" "$ROOT/srv/nfsboot/nfs"
+
+cat >"$ROOT/usr/lib/systemd/system/nfsboot-tftp.service" <<EOF
+[Unit]
+Description=tftp service for booting kernels
+After=network.target
+
+[Service]
+Type=simple
+ExecStart=/usr/bin/udpsvd -E 0 69 /usr/sbin/tftpd /srv/nfsboot/tftp/
+
+[Install]
+WantedBy=multi-user.target
+EOF
+
+chroot "$ROOT" systemctl enable nfsboot-tftp.service